Search form

eFile & Pay

eFile & Pay - Browser Requirements

Browser Requirements

The system automatically checks your computer's Internet browser to see if it is compatible with the Iowa eFile & Pay system.

To avoid a service disruption when accessing eFile & Pay, please check your browser to see if it supports TLS v1.2 and 128 bit encryption. If it does you are up-to-date. If not, you must upgrade your browser.

Minimum browser requirements to use eFile & Pay (older browser versions may not work):

  • Microsoft Internet Explorer 10 and higher
  • Firefox 31 and higher
  • Chrome 38 and higher

To Upgrade Your Browser:

How to find out what version of the browser you are using:

  • Open your browser
  • Click on “Help” in the toolbar
  • Click on:  About...

To Print the Payment Voucher from eFile & Pay Confirmation Screen...

  • You must be using Internet Explorer version 5.5 or newer and Acrobat Reader version 6.0.1 or newer.